/*
 * NAME
 *   SkimUtils.h
 * COPYRIGHT
 *   Skim - Off-line news reading package optimized for slow lines.
 *   Copyright (C) 1996  Rene W.J. Pijlman
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 * 
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 * 
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * VERSION
 *   Skim version 0.8.4.
 *   $Header: /home/rene/sys/CVS_MasterSourceRepository/skim/SkimUtils.h,v 1.8 1996/02/17 19:38:53 rene Exp $
 */

#ifndef _SKIMUTILS_H_
#define _SKIMUTILS_H_

#include "Types.h"

char * SkimDirectory( void );
char * HomeDirectory( void );

Boolean AppendFieldFromSeparatorRecord(
    VarBuf Target,
    VarBuf Record,
    char Separator,
    unsigned int InputOffset,
    void (Convert)(VarBuf) );

/* For parameter `Length' of AppendFieldFromFixedRecord. */
#define VARIABLE_LENGTH -1

Boolean AppendFieldFromFixedRecord(
    VarBuf Target,
    VarBuf Record,
    unsigned int Offset,
    int Length,
    void (Convert)(VarBuf) );

void WaitForAChild( const char * ProgramName );

/* These functions determine the format of the Subjects file. */
int OffsetOfSelection( void );
int OffsetOfArticleNumber( void );
int OffsetOfAuthor( void );
int LengthOfAuthor( void );
int OffsetOfLines( void );
int LengthOfNumberOfLines( void );
int OffsetOfSubject( void );

VarBuf GetSignature( void );

void AuthorFromFromField( VarBuf );

void ItemsFromEnvironment(
    VarBuf * , VarBuf * , VarBuf * , VarBuf * , VarBuf * , VarBuf * );

#endif /* _SKIMUTILS_H_ */
